program daj14a(input,output);
const maxnum=4;
TYPE
     T1=RECORD
	 a1:array[1..maxnum] of byte;
        END;
     T2=RECORD
	 a2:packed array[1..maxnum] of byte;
        END;
     T3=RECORD
	 a3:packed array[1..maxnum] of 0..255;  (* works with `packed 0..255 -- GPC should do this implicitly *)
        END;
     T4=RECORD
	 a4:array[1..maxnum] of 0..255;
        END;

begin
  if sizeof(t1) <> maxnum * SizeOf (Byte) then begin writeln ('failed 1'); halt end;
  if sizeof(t2) <> maxnum * SizeOf (Byte) then begin writeln ('failed 2'); halt end;
  if sizeof(t3) <> maxnum * SizeOf (Byte) then begin writeln ('failed 3'); halt end;
  if sizeof(t4) <> maxnum * SizeOf (Integer) then begin writeln ('failed 4'); halt end;
  WriteLn ('OK')
end.
